QGIS Application - Bug report #16742
Browser Panel: unable to find all the connected drives
2017-06-22 01:27 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:3.4.5 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24641
Description

The browser panel doesn't show all the drives | can connect to. Actually it fails to show a drive | pluged in as a network drive.

As you can see in the screenshot, the "SIG" folder (which is a folder on the macOS company network) doesn't appear in the browser
panel.

However, | can have access to that folder if | use the classic Add vector/raster layer tool.

History

#1 - 2017-12-20 02:13 PM - Harrissou Santanna

I think that if we want the browser panel become the first place to add layers from (with the Data Source Manager restructuring in QGIS 3), it must be
possible to show all the network and remote drivers in the tree (and not only what is accessible locally).

For what | can see, it's the only dialog in QGIS where only local drivers are accessible.

#2 - 2019-03-01 11:56 AM - Jeroen Hovens

In both ggis 2.18 and qgis 3.4 running on Windows10, | use this workaround.

Right-click on the Favourites item in the brower panel and then it says : add folder. This open a windows browser panel where | have access to all the
netwerk folders and | can get add them to the browser panel as a Favourite.

#3 - 2019-03-01 08:31 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.9 to 3.4.5
